llvm gcc 4.0 not compiling

I am trying to compile llvm gcc 4.0 from svn today and I'm getting the error below. It looks like the file LLVMBuilder.h. I looked in past versions of LLVM and that file exists; however, it not longer seams to exist. Has it purposely been removed?

I mistyped. I meant to say, it looks like the file LLVMBuilder.h is missing.

Ryan M. Lefever wrote:

I am trying to compile llvm gcc 4.0 from svn today and I'm getting the
error below. It looks like the file LLVMBuilder.h. I looked in past
versions of LLVM and that file exists; however, it not longer seams to
exist. Has it purposely been removed?

llvm-gcc 4.0 is no longer supported (as of 2.2):
http://lists.cs.uiuc.edu/pipermail/llvmdev/2008-February/012416.html

To answer your question, LLVMBuilder.h was renamed to IRBuilder.h.

-Tanya

Thank you, I didn't realize it wasn't supported.

Tanya M. Lattner wrote: